aboutsummaryrefslogtreecommitdiff
path: root/scripts/test_make_clean
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/test_make_clean')
-rwxr-xr-xscripts/test_make_clean14
1 files changed, 14 insertions, 0 deletions
diff --git a/scripts/test_make_clean b/scripts/test_make_clean
new file mode 100755
index 000000000..fa3a543d8
--- /dev/null
+++ b/scripts/test_make_clean
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+b=`basename $PWD`
+test "${b#busybox}" != "$b" || { echo "Must be run in busybox tree"; exit 1; }
+
+cd ..
+cp -pPR "$b" busybox.$$.test_tree
+cd busybox.$$.test_tree
+make defconfig
+make $MAKEOPTS
+make clean
+cd ..
+diff -urp "$b" busybox.$$.test_tree >busybox.$$.test_tree.diff
+cat busybox.$$.test_tree.diff